armarx_add_aron_library(trajectory_control_aron
    ARON_FILES
        aron/TrajectoryControllerParams.xml
        aron/TrajectoryFollowingControllerParams.xml
        aron/WaypointControllerParams.xml
)

armarx_add_library(trajectory_control
    SOURCES
        ./TrajectoryController.cpp
        ./TrajectoryFollowingController.cpp
        ./WaypointController.cpp
        ./aron_conversions.cpp
    HEADERS
        ./TrajectoryController.h
        ./TrajectoryFollowingController.h
        ./WaypointController.h
        ./aron_conversions.h
        ./core.h
    DEPENDENCIES
        ArmarXCoreInterfaces
        ArmarXCore
        RobotAPICore
        armarx_navigation::core
        armarx_navigation::trajectory_control_aron
)

armarx_add_test(trajectory_control_test
    TEST_FILES
        test/trajectory_controlTest.cpp
    DEPENDENCIES
        ArmarXCore
        armarx_navigation::trajectory_control
)
